| Home | Libraries | People | FAQ | More

## Function template replace_first

boost::algorithm::replace_first — Replace first algorithm.

## Synopsis

    template<typename SequenceT, typename Collection1T, typename Collection2T>
      void replace_first(SequenceT & Input, const Collection1T & Search,
                         const Collection2T & Format);

## Description

replace the first match of the search substring in the input with the format string. The input sequence is modified in-place.

Parameters

Format

  A substitute string

Input

  An input string

Search

  A substring to be searched for

| Copyright © 2002-2004 Pavol Droba